from django.urls import path
from django.contrib.auth import views as auth_views

from .views import landing_page, social_feed, image_generator, ad_generator, graphics_editor, signup, ai_chat, post_list, post_detail, post_create, ai_chat_new

urlpatterns = [
    path("", landing_page, name="landing_page"),
    path("blog/", post_list, name="post_list"),
    path("blog/<slug:slug>/", post_detail, name="post_detail"),
    path("blog/create/", post_create, name="post_create"),
    path("social/", social_feed, name="social_feed"),
    path("image-generator/", image_generator, name="image_generator"),
    path("ad-generator/", ad_generator, name="ad_generator"),
    path("graphics-editor/", graphics_editor, name="graphics_editor"),
    path("ai-chat/", ai_chat, name="ai_chat"),
    path("ai-chat-new/", ai_chat_new, name="ai_chat_new"),
    path("signup/", signup, name="signup"),
    path("login/", auth_views.LoginView.as_view(template_name="login.html"), name="login"),
    path("logout/", auth_views.LogoutView.as_view(next_page="login"), name="logout"),
]
